﻿using ProjectTourAgency.Enities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourAgency.Enities;

public class Employee
{
    public int Id { get; private set; }
    public string FullName { get; private set; } = string.Empty;

    public EmpoyeeJob EmployeeJob { get; private set; }

    public static Employee CreateEntity(int id, string fullName,
        EmpoyeeJob job)
    {
        return new Employee
        {
            Id = id,
            FullName = fullName,
            EmployeeJob = job

        };
    }
}
