﻿using ProjectTourAgency.Enities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourAgency.Enities;

public class Client
{
    public int Id { get;private set; }
    public string FullName { get; private set; } = string.Empty;
    public DateTime BirthDate { get; private set; }
    public string PhoneNumber { get; private set; } = string.Empty;
    public ClientStatus ClientStatus { get; private set; }
    public int Money { get; private set; }

    public static Client CreateEntity(int id, string fullName,
        DateTime birthDate, string phoneNumber, int money, ClientStatus cs)
    {
        return new Client
        {
            Id = id,
            ClientStatus = cs,
            FullName = fullName,
            BirthDate = birthDate,
            PhoneNumber = phoneNumber,
            Money = money
        };
    }

}
