﻿using ProjectTourAgency.Enities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectRouteAgency.Repositories;

public interface IRouteRepository
{
    IEnumerable<Route> ReadRoutes();

    Route ReadRouteById(int id);

    void CreateRoute(Route tour);

    void UpdateRoute(Route tour);

    void DeleteRoute(int id);
}
